ubuntu-keyring (2023.11.28.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct Provides, Depends, Breaks, Replaces. Closes: #1057035

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 28 Nov 2023 15:02:25 +0000

ubuntu-keyring (2023.11.28.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #922348
  * Drop support to configure keyring as trusted, on non-Ubuntu systems
    this keyrings only make sense for debootstrap purposed and image
    validation. Also obsolete (removed-keys) should never have been
    offered to be treated as trusted, as they are for EOL
    products. Closes: #987393, #1019165, #1033746
  * Cleanup broken filenames using correct maintainer scripts. Closes:
    #929165
  * Remove autopkgtest, doesn't test keyrings themselves.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 28 Nov 2023 01:51:00 +0000

ubuntu-keyring (2020.06.17.1-1) unstable; urgency=medium

  * New Upstream Version 2020.06.17.1 (Closes: #978438)

  * debian/changelog
    - Trim trailing whitespace.
    - Wrap long lines in changelog entries: 2012.05.19-3.
  * debian/control
    - Update standards version to 4.5.1, no changes needed.
  * debian/po
    - Add Brazilian Portuguese translation (Closes: #972447)
    - Update French translation (Closes: #918692)

 -- Hideki Yamane <henrich@debian.org>  Sun, 07 Mar 2021 12:31:34 +0900

ubuntu-keyring (2018.09.18.1-5) unstable; urgency=medium

  * debian/*.post{inst,rm}
    - use apt-config(8)'s Dir::Etc::trustedparts and fix keyring removal error.
      Thanks to Linda Lapinlampi <linda@lindalap.fi> and
      Hiroyuki YAMAMORI <h-yamamo@db3.so-net.ne.jp> (Closes: #922176, #922177)
  * debian/ubuntu-dbgsym-keyring.templates
    - add ubuntu-dbgsym-keyring.gpg (See #922348)
  * debian/control
    - add Rules-Requires-Root: no

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Mar 2019 01:40:45 +0900

ubuntu-keyring (2018.09.18.1-4) unstable; urgency=medium

  * debian/control
    - add more Breaks and Replaces for smooth upgrade from old
      ubuntu-archive-keyring package
  * debian/po
    - add Portuguese translation (Closes: #919222)
      Thanks to Américo Monteiro <a_monteiro@gmx.com>
    - add Dutch translation (Closes: #919300)
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    - update German debconf template (Closes: #919787)
      Thanks to Chris Leick <c.leick@vollbio.de>
    - update French debconf template (Closes: #921451)
      Thanks to Jean-Pierre Giraud <jenapierregiraud75@free.fr>
    - add Russian debconf template (Closes: #920917)
      Thanks to Lev Lamberov <dogsleg@debian.org>

 -- Hideki Yamane <henrich@debian.org>  Thu, 07 Feb 2019 00:26:23 +0900

ubuntu-keyring (2018.09.18.1-3) unstable; urgency=medium

  * debian/control
    - add transitional ubuntu-archive-keyring package (Closes: #904152)
      Thanks to Jeremy Bicha <jbicha@debian.org> for the suggestion.
  * debian/*.templates
    - correct some grammatical mistakes (Closes: #917352)
      Thanks to Justin B Rye <justin.byam.rye@gmail.com> for the review.

 -- Hideki Yamane <henrich@debian.org>  Wed, 16 Jan 2019 09:47:34 +0900

ubuntu-keyring (2018.09.18.1-2) unstable; urgency=medium

  * debian/control
    - split and rename packages
      + add ubuntu-cloud-keyring and ubuntu-dbgsym-keyring
      + rename ubuntu-archive-keyring to ubuntu-keyring
    - update descriptions and install keyrings to each package
    - adjust dependencies for all packages
  * debian/ubuntu-keyring.template
    - adjust keyrings to be added, refer to Ubuntu package
  * debian/tests/check-integrity
    - rename from checkgpg, more fix to validate gpg files
  * debian/rules
    - add integrity check during build, too

 -- Hideki Yamane <henrich@debian.org>  Wed, 02 Jan 2019 11:58:42 +0900

ubuntu-keyring (2018.09.18.1-1) unstable; urgency=medium

  * New upstream version 2018.09.18.1

  * Add German debconf translation.
    Thanks to Chris Leick <c.leick@vollbio.de> (Closes: #917327)
  * debian/control
    - set Standards-Version: 4.3.0
    - use debhelper-compat and bump to debhelper level to 12
  * debian/compat
    - drop it
  * debian/tests/checkgpg
    - fix it via importing my public key

 -- Hideki Yamane <henrich@debian.org>  Mon, 31 Dec 2018 00:30:37 +0900

ubuntu-keyring (2018.02.06-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * New upstream version 2018.02.06

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 Dec 2018 11:17:28 +0900

ubuntu-keyring (2016.05.13-2) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control
    - add Vcs-*
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.2.1
    - add Build-Depends: po-debconf
  * debian/compat
    - set 11
  * debian/copyright
    - eliminate "global-files-wildcard-not-first-paragraph-in-dep5-copyright"
      lintian warning
    - use https
  * Use debconf to not enable ubuntu-archive-keyring as trusted GPG key by
    default. It should be enebled by user's intention (Closes: #826558)
  * Add README.Debian about above change

 -- Hideki Yamane <henrich@debian.org>  Wed, 29 Aug 2018 16:34:00 +0900

ubuntu-keyring (2016.05.13-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add Conflicts: ubuntu-keyring since some people who put it into Debian
      from Ubuntu cannot install ubuntu-archive-keyring package
      (Closes: #823775)
    - set Standards-Version: 3.9.8
  * debian/post{inst,rm}
    - simply it.
    - create symlink keyrings to /etc/apt/trusted.gpg.d/ (Closes: #823776)
      Thanks to Konstantin Demin <rockdrilla@gmail.com> for the suggestion.

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Jun 2016 21:24:14 +0900

ubuntu-keyring (2012.05.19-5) unstable; urgency=medium

  * debian/postrm
    - fix "postrm called with unknown argument `upgrade'" (Closes: #813259)

 -- Hideki Yamane <henrich@debian.org>  Mon, 01 Feb 2016 21:54:21 +0900

ubuntu-keyring (2012.05.19-4) unstable; urgency=medium

  * debian/postinst
    - fix regression that introduced in 2012.05.19-3

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Jan 2016 15:44:17 +0900

ubuntu-keyring (2012.05.19-3) unstable; urgency=medium

  * debian/postinst
    - fix lintian "command-with-path-in-maintainer-script" warning,
      see
      https://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-debian-maint-scripts
      for the reference.

 -- Hideki Yamane <henrich@debian.org>  Wed, 06 May 2015 21:40:18 +0900

ubuntu-keyring (2012.05.19-2) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 3.9.6
  * debian/copyright
    - fix "space-in-std-shortname-in-dep5-copyright" lintian warning

 -- Hideki Yamane <henrich@debian.org>  Sat, 24 Jan 2015 21:38:33 +0900

ubuntu-keyring (2012.05.19-1) unstable; urgency=medium

  * Imported to Debian (Closes: #457899)
    - not make udeb package, remove ubuntu-keyring-udeb.postinst and more.
    - set binary package name as ubuntu-archive-keyring
    - rewrite debian/rules to modern dh style
      + add debian/compat and debian/source/format
    - debian/postinst
      + fix lintian warning: hardcoded path
      + don't touch /etc/apt/trusted.gpg permission
      + add debhelper token
      + set -e
    - add debian/postrm
    - debian/copyright
      + format it as Machine-readable debian/copyright file 1.0

 -- Hideki Yamane <henrich@debian.org>  Mon, 23 Dec 2013 11:54:55 +0900

ubuntu-keyring (2012.05.19) quantal; urgency=low

  * Add 4096R/C0B21F32 Ubuntu Archive Automatic Signing Key (2012)
    <ftpmaster@ubuntu.com> to ubuntu-archive-keyring.
  * Add 4096R/EFE21092 Ubuntu CD Image Automatic Signing Key (2012)
    <cdimage@ubuntu.com> to ubuntu-archive-keyring.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 May 2012 02:31:51 +0100

ubuntu-keyring (2011.11.21) precise; urgency=low

  * Mark ubuntu-keyring Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 12:26:35 +0000

ubuntu-keyring (2010.+09.30) maverick; urgency=low

  * debian/postinst:
    - set default public keyring to 0644 if there is none yet
      (LP: #651880)
    - fixup maverick installs with 0600 public keyrings permissins
      to avoid problems with the release upgrade later (LP: #651880)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Sep 2010 15:36:26 +0200

ubuntu-keyring (2010.+05.27.1) maverick; urgency=low

  * debian/control: Drop Vcs-Bzr:, it's obsolete, and we have the
    lp:ubuntu/ubuntu-keyring branch now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 May 2010 18:51:39 +0200

ubuntu-keyring (2010.+05.27) maverick; urgency=low

  * Turn gnupg dependency into a gpgv recommends.
  * Tweak the version number to be bigger than the previous upload (there was
    a typo).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 May 2010 18:36:03 +0200

ubuntu-keyring (2010.11.09) lucid; urgency=low

  * Compute md5sums.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 11 Jan 2010 23:15:26 +0100

ubuntu-keyring (2009.08.28) karmic; urgency=low

  * Ship an empty ubuntu-archive-removed-keys.gpg keyring as gpg will create
    it if missing when apt-key lists keys in this keyring; this will overwrite
    the empty keyring with incorrect permissions on user systems which should
    always be empty; LP: #218971.
  * Bump standards-version to 3.8.3.
  * Add build to .PHONY.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 28 Aug 2009 11:33:52 +0200

ubuntu-keyring (2008.03.04) hardy; urgency=low

  * Ensure /var/lib/apt/keyrings exists before trying to copy to it (LP:
    #198110)

 -- Andrew Pollock <apollock@debian.org>  Mon, 03 Mar 2008 16:47:25 -0800

ubuntu-keyring (2008.03.03) hardy; urgency=low

  * put ubuntu-master-keyring.gpg into /var/lib/apt/keyrings to
    avoid uneeded fetch on apt-key net-update (LP: #192074)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Mar 2008 16:04:39 +0100

ubuntu-keyring (2008.01.16) hardy; urgency=low

  * put into bzr and add Vcs-Bzr header
  * keyrings/ubuntu-archive-keyring.gpg:
    - update from keyserver to include the master key signature
  * keyrings/ubuntu-master-keyring.gpg:
    - added new master signing key
  * debian/rules:
    - install keyrings/ubuntu-master-keyring.gpg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jan 2008 17:33:10 +0100

ubuntu-keyring (2007.06.11) gutsy; urgency=low

  * Bring over relevant changes from debian-archive-keyring (Anthony Towns,
    Joey Hess):
    - Bump priority to important to match overrides.
    - Update FSF address in copyright.
    - Add a postinst to the udeb that creates an archive.gpg symlink if one
      doesn't yet exist. See Debian bug #423428.
    - Clean up use of dpkg-gencontrol, removing obsolete workaround.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2007 20:17:10 +0100

ubuntu-keyring (2005.01.12.1) hoary; urgency=low

  * udeb create was not binary all

 -- Michael Vogt <mvo@debian.org>  Wed, 12 Jan 2005 16:06:23 +0100

ubuntu-keyring (2005.01.12) hoary; urgency=low

  * use absolute path for apt-key
  * and make it really depend on gnupg

 -- Michael Vogt <mvo@debian.org>  Wed, 12 Jan 2005 15:29:31 +0100

ubuntu-keyring (2005.01.11) hoary; urgency=low

  * applied patch to create a ubuntu-keyring udeb for the installer
    (thanks to Colin)
  * depend on gnupg
  * call apt-key update (if apt-key is available)

 -- Michael Vogt <mvo@debian.org>  Fri,  7 Jan 2005 14:28:29 +0100

ubuntu-keyring (2005.01.04) hoary; urgency=low

  * Add 1024D/FBB75451 Ubuntu CD Image Automatic Signing Key
    <cdimage@ubuntu.com> to ubuntu-archive-keyring.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  5 Jan 2005 00:04:09 +0000

ubuntu-keyring (2004.12.16) hoary; urgency=low

  * Initial release with the Ubuntu Archive Signing Key in
    the ubuntu-archive-keyring

 -- Michael Vogt <mvo@debian.org>  Fri,  3 Dec 2004 22:10:41 +0100
